Skip to main content
GET
/
v1
/
orders
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "<string>",
      "code": "<string>",
      "externalCode": {},
      "deliveryWindowsType": "BY_PRODUCT",
      "customerId": {},
      "customerCode": {},
      "salesRepresentativeCode": {},
      "sellerEmail": {},
      "status": "DRAFT",
      "type": "PRE_ORDER",
      "subTotal": 123,
      "totalDiscount": 123,
      "totalCharges": 123,
      "totalShippingCostValue": 123,
      "totalValue": 123,
      "totalPieces": 123,
      "totalItems": 123,
      "synchronizedStatus": "SUCCESS",
      "createdAt": "<string>",
      "maxChangedDate": "<string>",
      "observation": {},
      "archived": true,
      "consultantCode": {},
      "consultantName": {},
      "priceTableCode": {},
      "priceComposition": [
        {
          "id": "<string>",
          "label": "<string>",
          "price": 123
        }
      ]
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

unique identifier access key. each brand has it own unique key.

Query Parameters

limit
number
default:10

pagination: limit of entities returned by query

Required range: x <= 50
cursorId
string

pagination: it is necessary to pass cursorId = null in the first call

code
string

filter by order code

status
enum<string>[]

filter by status

Available options:
DRAFT,
IN_REVISION,
ON_APPROVAL,
APPROVED,
SENT,
CANCELED,
ABANDONED,
REJECTED,
SUGGESTED
changeStartDate
string

change interval start date

changeEndDate
string

change interval end date

date
string<date-time>

filter by date

synchronizedStatus
enum<string>

filter sinchronized orders

Available options:
NOT_SYNCHRONIZED,
ERROR,
SUCCESS,
PROCESSING
archived
boolean

filter by archived orders

Response

orders pagination

data
object[]
required
nextCursor
string | null

when the field is null, it means that pagination has ended